/**
 * createby : lbj
 * date : 2018/7/5
 * desc :
 **/

package com.qiqiim.webserver.user.timer;

import com.qiqiim.server.ImWebsocketServer;
import com.qiqiim.webserver.user.dao.UserAccountDao;
import com.qiqiim.webserver.user.dao.UserAdminInfoDao;
import com.qiqiim.webserver.user.dao.UserInfoDao;
import com.qiqiim.webserver.user.dao.UserMessageDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.io.*;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Component
public class DeleteUserTimer {

    @Autowired
    private UserAccountDao userAccountDao;

    @Autowired
    private UserInfoDao userInfoDao;

    @Autowired
    private UserMessageDao userMessageDao;

    @Autowired
    private UserAdminInfoDao userAdminInfoDao;

    private final static Logger log = LoggerFactory.getLogger(DeleteUserTimer.class);

    @Scheduled(cron = "30 * * * * ?" )
    public void deleteLongTimeUser(){

        log.info("----------------------------------统计员工工作情况----------------------------------");
        List adjustList = userInfoDao.getAllAdminId();
        int updateNum = userAdminInfoDao.updateAdminInfo(adjustList);
        log.info(">> 更新了 " + updateNum + "条员工信息");
        log.info("----------------------------------统计员工工作完成----------------------------------");

        log.info("----------------------------------删除过期数据--------------------------------------");
        List list = userAccountDao.getAllLongTimeUserId();
        if(list.size() != 0){
            userAccountDao.deleteLongTimeUser(list);
            userInfoDao.deleteLongTimeInfo(list);
            userMessageDao.deleteLongTimeMessage(list);
            log.info(">> 已删除 " + list.size() + " 条过期用户信息");
        }else{
            log.info(">> 无过期用户");
        }
        log.info("----------------------------------删除数据完成--------------------------------------");
    }


}
